Open Infrastructure - Task #7876

UI/UX improvement suggestions for matrix
03/23/2020 03:35 PM - Redmine Admin

Status: Rejected Start date: 03/23/2020
Priority: Normal Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

Riot web / general

[

remove the separation tab of Direct Messages and Rooms -> this damages readability
o An option to disable all categories might do this
o Adding to this: scrolling inside the groups can be very painful and fields are often too small
disable color differentiation for each user name: make them all same, muted color.
o Afaics this refers to the avatar - maybe an option to disable avatars all together
Numbers of unread messages on channels are not helpful
o Proposed solution: Indicate unread by bold only, remove the number count
When creating a new public room the "room alias" field is empty and needs to be filled in manually
o This should be automatically derived from the name as a suggestion
When inviting people to a room, local people (@xx:ungleich.ch) show up for a second and then vanish until | type the full name
° i.e. typing @xx - shows the name, | want to select it, it vanishes
o other people from other matrix servers are shown as suggested
o then finishing @xx:ungleich.ch shows it again
o Solution: don't make it show and vanish, but keep it
Too much margin between text groups damage readability
o While chatting, the vertical spaces between texts are too high and waste space.
o The horizonal space between profile picture and the name is too wide, makes it harder for eyes to coherently follow who
wrote what.
o Time of writing is not shown by default and only reveals on mouseover, requires extra movement for catching information.
o Having to jump big spaces between different information (who wrote it what, when) makes it hard for the eyes to focus.
It is "impossible" to delete a room
o There is no delete button
o There seems to be a workaround to kick all users, make it non joinable (how?) and leave it
= untested
o Very basic functionality seems to be missing
When creating a new room and inviting users, nick autocompletion when writing a message does not work
o This only works when invited users joined
o This is very limiting/confusing, as one might want to write already messages for the people who join eventually
o Even if they don't join, the autocomplete should be able to reference people who are invited
When writing in "direct chat", nick auto completion of OTHER users | write to does not work
o Use case: "Did you talk to @s..." -- does not autocomplete
o Suggestion: have a general auto completion, independent of the room | am writing in
Selecting auto completion of users is easier in mattermost:
o mattermost shows a list and allows to finish by <tab> or <enter>
o matrix requires arrow up or clicking
There is not emoticon selection list for reqular messages
o However there is one for reactions
o This is a bit inconsistent and confuses -> should be consistently available
Room classifications (low, favorite, etc.) seem to be CLIENT specific
o Opening the browser on a different computer gives an old/different room view
o Causes a lot of extra work for organising, i.e. x times for x devices
Sometimes the members are shown instead of the room title in the room list (??7?)
o See attachment to this ticket
Mattermost has a "thread view" where one can show all messages in a thread
o it only appears if you click on the reply button next to one of the messages in the thread
o it is quite convenient to show old threads
Inconsistent scroll bar behaviour
o left/right are different
o ://github.com/v r-im/riot-web/i 1232
= https://github.com/vector-im/riot-web/issues/983
When being in an empty room (i.e. for sharing messages with yourself) a warning repeats
o "There's no one else here! Would you like to invite others or stop warning about the empty room?"
o Even clicking "stop warning" the messages comes back (different device, different browser)
= Where are those settings saved?
e Cannot search for parts of an URL
o Specifically "https://support.ungleich.ch/Ticket/Display.html?id=X", searching for X returns results in mattermost, but not
matrix
o Where is search located at in matrix? Server? Client?
When editing a multi line message, cursor up at some point goes into editing the PREVIOUS message
o When not having text to be sent inside the text field for sending messages, this behaviour makes sense
o However as soon as there is text in the text bar, it should not move up to previous messages anymore
Shields are inconsistent (riot-web 1.6.0)
o In 1:1 rooms the shields (black/green) appear, even if room is not encrypted
o In n people rooms shields are not displayed next to the participants

RiotX

¢ Notifications are by default for EVERY message
o https://github.com/vector-im/riotX-android/issues/1105

History

#1 - 03/23/2020 03:37 PM - Redmine Admin
- Description updated

#2 - 03/23/2020 06:15 PM - Nico Schottelius

- Status changed from New to In Progress

Adding Timothee as a watcher -- these are bugs/problems we discover over the time using matrix and might either want to fix or submit upstream or
both.

#3 - 03/23/2020 06:17 PM - Nico Schottelius
- Project changed from 16 to Open Infrastructure

- Description updated

#4 - 03/25/2020 10:36 AM - Nico Schottelius
- Description updated

#5 - 03/25/2020 10:38 AM - Nico Schottelius
- Description updated

#6 - 03/25/2020 09:45 PM - Sanghee Kim
- Description updated

#7 - 04/01/2020 09:33 AM - Timothée Floure
Going over mentionned issues to give more context / initial leads on how to fix them. We're speaking of riot-web here.
Redmine Admin wrote:

e remove the separation tab of Direct Messages and Rooms -> this damages readability

o An option to disable all categories might do this
o Adding to this: scrolling inside the groups can be very painful and fields are often too small

Related code: https://github.com/matrix-org/matrix-react-sdk/blob/develop/src/components/views/rooms/RoomList.js#l. 754

Disabling sublists looks doable at first glance, and should not be too hard to implement.

¢ disable color differentiation for each user name: make them all same, muted color.

e Related code: https:/github.com/matrix-org/matrix-react-sdk/blob/develop/src/components/views/messages/SenderProfile.js#L 97
https://github.com/vector-im/riot-web/issues/12328
https://github.com/vector-im/riot-web/issues/983
https://github.com/vector-im/riotX-android/issues/1105
https://github.com/matrix-org/matrix-react-sdk/blob/develop/src/components/views/rooms/RoomList.js#L754
https://github.com/matrix-org/matrix-react-sdk/blob/develop/src/components/views/messages/SenderProfile.js#L97

o Disabling it is trivial. | don't have a strong opinion on this => | think a configuration checkbox would be best.

¢ Afaics this refers to the avatar - maybe an option to disable avatars all together
There is a compact mode under "General > Theme", which is more compact but kind of weird since it does not disable avatars. | think it could be
improved (should not be hard from the code | read).

¢ Numbers of unread messages on channels are not helpful

o Proposed solution: Indicate unread by bold only, remove the number count

That's already the case when you select "Mentions only" notifications for a room. See https:/paste.gnugen.ch/raw/oh70

e When creating a new public room the "room alias" field is empty and needs to be filled in manually
o This should be automatically derived from the name as a suggestion

Somewhere is this file: https:/github.com/matrix-org/matrix-react-sdk/blob/develop/src/components/views/dialogs/CreateRoomDialog.js

Should not be hard.

e When inviting people to a room, local people (@xx:ungleich.ch) show up for a second and then vanish until | type the full name
o i.e. typing @xx - shows the name, | want to select it, it vanishes
o other people from other matrix servers are shown as suggested
o then finishing @xx:ungleich.ch shows it again
o Solution: don't make it show and vanish, but keep it

Looks like a bug, which sounds familiar (I likely encountered it a few times).
e Too much margin between text groups damage readability
o While chatting, the vertical spaces between texts are too high and waste space.
o The horizonal space between profile picture and the name is too wide, makes it harder for eyes to coherently follow who wrote what.
o Time of writing is not shown by default and only reveals on mouseover, requires extra movement for catching information.
o Having to jump big spaces between different information (who wrote it what, when) makes it hard for the eyes to focus.
See compact timeline layout mention above.
=> Most of the suggestions require fine-tuning and no big changes. The riot-web / matrix-react-sdk code is easy to navigate.
PS: Matrix contributor hat for this, not ctt'd.

#8 - 04/01/2020 07:58 PM - Nico Schottelius
- Description updated
#9 - 04/02/2020 08:49 AM - Timothée Floure
Redmine Admin wrote:
e |t is "impossible" to delete a room
o There is no delete button
o There seems to be a workaround to kick all users, make it non joinable (how?) and leave it

= untested
o Very basic functionality seems to be missing

Being discussed on https:/github.com/vector-im/riot-web/issues/6978

#10 - 04/02/2020 09:38 AM - Timothée Floure

Currently looking at the compact timeline mode (will likely remove avatars): if @Sanghee Kim is willing to make me a mockup, | can implement it.

#11 - 04/02/2020 06:47 PM - Nico Schottelius
- Description updated

#12 - 04/03/2020 02:41 PM - Nico Schottelius

- Description updated

#13 - 04/04/2020 04:15 PM - Nico Schottelius
https://paste.gnugen.ch/raw/oh70
https://github.com/matrix-org/matrix-react-sdk/blob/develop/src/components/views/dialogs/CreateRoomDialog.js
https://github.com/vector-im/riot-web/issues/6978
http://localhost:3000/users/19

- Description updated

#14 - 04/07/2020 07:59 PM - Nico Schottelius
- Description updated

#15 - 04/07/2020 08:09 PM - Nico Schottelius
- File 2020-04-07-200853 _658x87_scrot.png added

- Description updated

#16 - 04/10/2020 09:48 PM - Nico Schottelius

- Description updated

#17 - 04/10/2020 10:02 PM - Nico Schottelius

- Description updated

#18 - 04/21/2020 05:41 PM - Nico Schottelius

- Subject changed from U/UXI improvement points for matrix to UI/UX improvement suggestions for matrix

#19 - 04/22/2020 10:34 AM - Nico Schottelius

- Description updated

#20 - 04/22/2020 01:15 PM - Nico Schottelius

- Description updated

#21 - 04/22/2020 01:15 PM - Nico Schottelius

- Description updated

#22 - 04/22/2020 06:48 PM - Nico Schottelius

- Description updated

#23 - 04/25/2020 01:53 PM - Nico Schottelius

- Description updated

#24 - 04/30/2020 11:50 AM - Nico Schottelius

- Description updated

#25 - 05/09/2020 06:32 PM - Nico Schottelius

- Description updated

#26 - 01/02/2024 01:54 PM - Nico Schottelius

- Status changed from In Progress to Rejected
